Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class Cluster

    java.lang.Object
      com.autonomy.aci.businessobjects.AciBusinessObject
          com.autonomy.aci.businessobjects.Cluster

All Implemented Interfaces:
  java.io.Serializable

public class Cluster
extends AciBusinessObject

NOT IMPLEMENTED YET.

See Also:
  Serialized Form

Constructor Summary
`Cluster()` NOT IMPLEMENTED YET.
`Cluster(java.lang.String sUID)` NOT IMPLEMENTED YET.

Method Summary
`void` | `addTrainingDoc(CategoryTrainingDocument doc)` NOT IMPLEMENTED YET.
`void` | `clearTrainingDocs()` NOT IMPLEMENTED YET.
`float` | `getScore()` NOT IMPLEMENTED YET.
`java.lang.String` | `getSourceJobName()` NOT IMPLEMENTED YET.
`TermsNWeights` | `getTermsNWeights()` NOT IMPLEMENTED YET.
`java.lang.String` | `getTitle()` NOT IMPLEMENTED YET.
`void` | `removeTrainingDoc(CategoryTrainingDocument doc)` NOT IMPLEMENTED YET.
`void` | `setScore(float fScore)` NOT IMPLEMENTED YET.
`void` | `setSourceJobName(java.lang.String sSourceJobName)` NOT IMPLEMENTED YET.
`void` | `setTermNWeights(TermsNWeights termsNWeights)` NOT IMPLEMENTED YET.
`void` | `setTitle(java.lang.String sTitle)` NOT IMPLEMENTED YET.
`void` | `setTrainingDocs(java.util.ArrayList trainingDocsList)` NOT IMPLEMENTED YET.

Methods inherited from class com.autonomy.aci.businessobjects.AciBusinessObject
`getUID, setUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cluster

    public Cluster()

  NOT IMPLEMENTED YET.

### Cluster

    public Cluster(java.lang.String sUID)

  NOT IMPLEMENTED YET.

Method Detail

### getSourceJobName

    public java.lang.String getSourceJobName()

  NOT IMPLEMENTED YET.

### setSourceJobName

    public void setSourceJobName(java.lang.String sSourceJobName)

  NOT IMPLEMENTED YET.

### getTitle

    public java.lang.String getTitle()

  NOT IMPLEMENTED YET.

### setTitle

    public void setTitle(java.lang.String sTitle)

  NOT IMPLEMENTED YET.

### getTermsNWeights

    public TermsNWeights getTermsNWeights()

  NOT IMPLEMENTED YET.

### setTermNWeights

    public void setTermNWeights(TermsNWeights termsNWeights)

  NOT IMPLEMENTED YET.

### getScore

    public float getScore()

  NOT IMPLEMENTED YET.

### setScore

    public void setScore(float fScore)

  NOT IMPLEMENTED YET.

### setTrainingDocs

    public void setTrainingDocs(java.util.ArrayList trainingDocsList)

  NOT IMPLEMENTED YET.

### addTrainingDoc

    public void addTrainingDoc(CategoryTrainingDocument doc)

  NOT IMPLEMENTED YET.

### removeTrainingDoc

    public void removeTrainingDoc(CategoryTrainingDocument doc)

  NOT IMPLEMENTED YET.

### clearTrainingDocs

    public void clearTrainingDocs()

  NOT IMPLEMENTED YET.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD